/// <reference types="react" />
import BaseTabsNav from '../base/BaseTabsNav';
import { IInnerTab, ITabsNavProps } from '../../types';
declare abstract class CommonTabsNav<Id extends string | number = string> extends BaseTabsNav<Id, IInnerTab<Id>, ITabsNavProps<Id>> {
    get tabsNavCls(): string;
    onTabDel: (id: Id) => void;
    renderNavExtraContent(): JSX.Element;
    transformTabDataList(tabDataList: Array<IInnerTab<Id>>): Array<IInnerTab<Id>>;
    render(): JSX.Element;
}
export default CommonTabsNav;
